- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# lists.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | _item_t
struct | _list_t
## Defines
#define | IN
#define | STATUS_FAILURE -1
#define | STATUS_SUCCESS 0
## Typedefs
typedef _item_t | Item_t
typedef _list_t | List_t
## Functions
Item_t * | CreateItem ()
int | DestroyItemList (List_t *ItemList)
int | DestroyItemsInList (List_t *ItemList)
Item_t * | GetFirstItem (List_t *kItem)
Item_t * | GetLastItem (List_t *kItem)
List_t * | InitializeList ()
int | InsertItemAtFront (List_t *TList, Item_t *kItem)
int | InsertItemBetweenItems (List_t *TList, Item_t *Previous, Item_t *Next, Item_t *Insert)
void | InsertItemListBetweenItems (Item_t *Previous, Item_t *Next, List_t *Insert)
int | RemoveItem (List_t *TList, Item_t *kItem)
List_t * | RemoveItemListBetweenItems (Item_t *Previous, Item_t *Next)

## Define Documentation

#define IN

Definition at line 1 of file lists.h.

#define STATUS_FAILURE -1

Definition at line 2 of file lists.h.

#define STATUS_SUCCESS 0

Definition at line 3 of file lists.h.

## Typedef Documentation

typedef struct _item_t Item_t

Definition at line 5 of file lists.h.

typedef struct _list_t List_t

Definition at line 6 of file lists.h.

## Function Documentation

Item_t* CreateItem | ( |  | ) |

Referenced by kmod_add().

int DestroyItemList | ( | List_t * | ItemList | ) |

int DestroyItemsInList | ( | List_t * | ItemList | ) |

Item_t* GetFirstItem | ( | List_t * | kItem | ) |

Item_t* GetLastItem | ( | List_t * | kItem | ) |

List_t* InitializeList | ( |  | ) |

Referenced by kmod_add().

int InsertItemAtFront | ( | List_t * | TList,
|  | Item_t * | kItem |
| ) |  |  |

Referenced by kmod_add().

int InsertItemBetweenItems | ( | List_t * | TList,
|  | Item_t * | Previous,
|  | Item_t * | Next,
|  | Item_t * | Insert |
| ) |  |  |

void InsertItemListBetweenItems | ( | Item_t * | Previous,
|  | Item_t * | Next,
|  | List_t * | Insert |
| ) |  |  |

int RemoveItem | ( | List_t * | TList,
|  | Item_t * | kItem |
| ) |  |  |

List_t* RemoveItemListBetweenItems | ( | Item_t * | Previous,
|  | Item_t * | Next |
| ) |  |  |